%define pname		mplayerthumbs
%define version		15.04.3
%define release		%mkrel 1

Name:			kde-multimedia-mplayerthumbnailer
Version:		%{version}
Release:		%{release}
Summary:		MPlayer based thumbnail generator for video files.
URL:			http://multimedia.kde.org/
Group:			Graphical desktop/KDE4
License:		GPL v3
Source:			ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{pname}-%{version}.tar.xz
BuildRequires:		kdelibs-devel
BuildRequires:		%{_lib}ffmpeg-devel
BuildRequires:		%{_lib}bluray-devel
Requires:			mplayer
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
%{summary}

%prep
%setup -q -n %{pname}-%{version}

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/mplayerthumbsconfig
%{_libdir}/kde4/videopreview.so
%{_datadir}/apps/videothumbnail/sprocket-*.png
%{_datadir}/config.kcfg/mplayerthumbs.kcfg
%{_datadir}/kde4/services/videopreview.desktop


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

